# Class CIM_IndicationSubscription
extends CIM_AbstractIndicationSubscription

CIM_IndicationSubscription describes a flow of Indications. The flow is specified by the referenced Filter, and directed to the referenced destination or process in the Handler. Property values of the referenced CIM_IndicationFilter instance and CIM_ListenerDestination instance MAY significantly effect the definition of the subscription. E.g., a subscription associated with a "Transient" destination MAY be deleted when the destination terminates or is no longer available.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_AbstractIndicationSubscription
|
+--CIM_IndicationSubscription

## Direct Known Subclasses

CIM_FormattedIndicationSubscription

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true

Description

string

CIM_IndicationSubscription describes a flow of Indications. The flow is specified by the referenced Filter, and directed to the referenced destination or process in the Handler. Property values of the referenced CIM_IndicationFilter instance and CIM_ListenerDestination instance MAY significantly effect the definition of the subscription. E.g., a subscription associated with a "Transient" destination MAY be deleted when the destination terminates or is no longer available.

UMLPackagePath | string | CIM::Event
Version | string | 2.16.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Filter | CIM_IndicationSubscription | CIM_IndicationFilter
Handler | CIM_IndicationSubscription | CIM_ListenerDestination

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
FailureTriggerTimeInterval | uint64 | CIM_AbstractIndicationSubscription
OnFatalErrorPolicy | uint16 | CIM_AbstractIndicationSubscription
OtherOnFatalErrorPolicy | string | CIM_AbstractIndicationSubscription
OtherRepeatNotificationPolicy | string | CIM_AbstractIndicationSubscription
OtherSubscriptionState | string | CIM_AbstractIndicationSubscription
RepeatNotificationCount | uint16 | CIM_AbstractIndicationSubscription
RepeatNotificationGap | uint64 | CIM_AbstractIndicationSubscription
RepeatNotificationInterval | uint64 | CIM_AbstractIndicationSubscription
RepeatNotificationPolicy | uint16 | CIM_AbstractIndicationSubscription
SubscriptionDuration | uint64 | CIM_AbstractIndicationSubscription
SubscriptionInfo | string | CIM_AbstractIndicationSubscription
SubscriptionStartTime | datetime | CIM_AbstractIndicationSubscription
SubscriptionState | uint16 | CIM_AbstractIndicationSubscription
SubscriptionTimeRemaining | uint64 | CIM_AbstractIndicationSubscription
TimeOfLastStateChange | datetime | CIM_AbstractIndicationSubscription

## Class Methods